Method: tasks.pushNotificationConfigs.create

Creates a push notification config for a task.

HTTP request

POST https://ces.googleapis.com/tasks/{taskId}/pushNotificationConfigs

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
taskId

string

The ID of the task this configuration is associated with.

Request body

The request body contains data with the following structure:

JSON representation
{
  "tenant": string,
  "id": string,
  "url": string,
  "token": string,
  "authentication": {
    object (AuthenticationInfo)
  }
}
Fields
tenant

string

Optional. Tenant ID.

id

string

The push notification configuration details. A unique identifier (e.g. UUID) for this push notification configuration.

url

string

Required. The URL where the notification should be sent.

token

string

A token unique for this task or session.

authentication

object (AuthenticationInfo)

Authentication information required to send the notification.

Response body

If successful, the response body contains a newly created instance of TaskPushNotificationConfig.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/ces

For more information, see the Authentication Overview.